com.foundationdb.sql.jdbc.xa

## Class FDBXADataSource

- java.lang.Object
- - com.foundationdb.sql.jdbc.ds.common.BaseDataSource
  - - com.foundationdb.sql.jdbc.xa.jdbc3.AbstractJdbc3XADataSource
    - - com.foundationdb.sql.jdbc.xa.jdbc4.AbstractJdbc4XADataSource
      - - com.foundationdb.sql.jdbc.xa.FDBXADataSource

All Implemented Interfaces:
  javax.naming.Referenceable, javax.sql.CommonDataSource, javax.sql.XADataSource

    public class FDBXADataSource
    extends com.foundationdb.sql.jdbc.xa.jdbc4.AbstractJdbc4XADataSource
    implements javax.sql.XADataSource

XA-enabled DataSource implementation.

Author:
  Heikki Linnakangas (heikki.linnakangas@iki.fi)

### Constructor Summary

Constructors
Constructor and Description
`FDBXADataSource()`

### Method Summary

### Methods inherited from class com.foundationdb.sql.jdbc.xa.jdbc4.AbstractJdbc4XADataSource

`getParentLogger`

### Methods inherited from class com.foundationdb.sql.jdbc.xa.jdbc3.AbstractJdbc3XADataSource

`createReference, getDescription, getXAConnection, getXAConnection`

### Methods inherited from class com.foundationdb.sql.jdbc.ds.common.BaseDataSource

`getApplicationName, getBinaryTransfer, getBinaryTransferDisable, getBinaryTransferEnable, getCompatible, getConnection, getConnection, getDatabaseName, getLoginTimeout, getLogLevel, getLogWriter, getPassword, getPortNumber, getPrepareThreshold, getProtocol, getProtocolVersion, getReceiveBufferSize, getReference, getSendBufferSize, getServerName, getSocketTimeout, getSsl, getSslfactory, getStringType, getTcpKeepAlive, getUnknownLength, getUrl, getUser, initializeFrom, readBaseObject, setApplicationName, setBinaryTransfer, setBinaryTransferDisable, setBinaryTransferEnable, setCompatible, setDatabaseName, setLoginTimeout, setLogLevel, setLogWriter, setPassword, setPortNumber, setPrepareThreshold, setProtocol, setProtocolVersion, setReceiveBufferSize, setSendBufferSize, setServerName, setSocketTimeout, setSsl, setSslfactory, setStringType, setTcpKeepAlive, setUnknownLength, setUrl, setUser, writeBaseObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.XADataSource

`getXAConnection, getXAConnection`

### Methods inherited from interface javax.sql.CommonDataSource

`getLoginTimeout, getLogWriter, getParentLogger, setLoginTimeout, setLogWriter`

### Methods inherited from interface javax.naming.Referenceable

`getReference`

### Constructor Detail

#### FDBXADataSource

    public FDBXADataSource()